> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.astropods.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.astropods.com/_mcp/server.

# List the account's deployments

GET https://astropods.com/api/v1/accounts/{account}/deployments

Reference: https://docs.astropods.com/api-reference/astropods-api/deployments/list-the-accounts-deployments

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `account` (string, required) — Account name

### Query parameters

- `q` (string, optional) — Search agent name, display name, or ID
- `environment` (string, optional) — Only deployments in these environments (comma-separated UUIDs, at most 50)
- `env` (string, optional) — Only deployments in environments with these names (comma-separated, case-insensitive)
- `status` (string, optional) — Only these statuses: running, pending, stopped, undeploying, error (comma-separated)
- `author` (string, optional) — Only deployments created by these user handles (comma-separated), resolved through their personal accounts
- `outdated` (string, optional) — true for deployments whose blueprint has a newer build, false for the rest
- `created_after` (string, optional) — Created at or after this RFC 3339 time
- `created_before` (string, optional) — Created before this RFC 3339 time
- `updated_after` (string, optional) — Last deployed at or after this RFC 3339 time
- `updated_before` (string, optional) — Last deployed before this RFC 3339 time
- `sort` (string, optional) — updated (default, last deployed), created, or name
- `limit` (string, optional) — Page size (default 50, max 100)
- `offset` (string, optional) — Page offset (max 10000)

## Response

### 200

OK

- `count` (integer, optional)
- `deployments` (list of AgentDeploymentSummary, optional)
- `has_more` (boolean, optional)
- `limit` (integer, optional)
- `offset` (integer, optional)

## Types

### AgentDeploymentSummary

- `access_ready` (boolean, optional, nullable)
- `account_id` (string, optional)
- `account_name` (string, optional)
- `avatar_colors` (any, optional)
- `build_id` (string, optional)
- `created_at` (string, optional)
- `deployed_by` (string, optional)
- `display_name` (string, optional)
- `environment_id` (string, optional)
- `environment_name` (string, optional)
- `external_urls` (list of ServiceEndpointInfo, optional)
- `id` (string, optional)
- `latest_build_id` (string, optional)
- `mesh_configured` (boolean, optional)
- `messaging_web_configured` (boolean, optional)
- `name` (string, optional)
- `namespace` (string, optional)
- `request_series` (list of integer, optional)
- `status` (string, optional)
- `token_series` (list of integer, optional)
- `updated_at` (string, optional)

### ServiceEndpointInfo

- `message` (string, optional)
- `name` (string, optional)
- `ready` (boolean, optional)
- `type` (string, optional)
- `url` (string, optional)

## Examples

**Response**

```json
{
  "count": 1,
  "deployments": [
    {
      "access_ready": true,
      "account_id": "string",
      "account_name": "string",
      "build_id": "string",
      "created_at": "string",
      "deployed_by": "string",
      "display_name": "string",
      "environment_id": "string",
      "environment_name": "string",
      "external_urls": [
        {
          "message": "string",
          "name": "string",
          "ready": true,
          "type": "string",
          "url": "string"
        }
      ],
      "id": "string",
      "latest_build_id": "string",
      "mesh_configured": true,
      "messaging_web_configured": true,
      "name": "string",
      "namespace": "string",
      "request_series": [
        1
      ],
      "status": "string",
      "token_series": [
        1
      ],
      "updated_at": "string"
    }
  ],
  "has_more": true,
  "limit": 1,
  "offset": 1
}
```

**SDK Code**

```python
import requests

url = "https://astropods.com/api/v1/accounts/account/deployments"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://astropods.com/api/v1/accounts/account/deployments';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://astropods.com/api/v1/accounts/account/deployments"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://astropods.com/api/v1/accounts/account/deployments")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://astropods.com/api/v1/accounts/account/deployments")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://astropods.com/api/v1/accounts/account/deployments', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://astropods.com/api/v1/accounts/account/deployments");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://astropods.com/api/v1/accounts/account/deployments")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```